aboutsummaryrefslogtreecommitdiff
path: root/scripts/make.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2015-10-29 07:34:08 -0500
committerRob Landley <rob@landley.net>2015-10-29 07:34:08 -0500
commitb8f5eff75187cf1b9774a8e65fe705efbb436c65 (patch)
tree8cf9c3f5e2ad1062fcd898791b6ab6ecbb5c5e1d /scripts/make.sh
parent347e4f4b3d4ac83bc03a90e1362e34408997064f (diff)
downloadtoybox-b8f5eff75187cf1b9774a8e65fe705efbb436c65.tar.gz
Tweak permissions of toybox binary.
Diffstat (limited to 'scripts/make.sh')
-rwxr-xr-xscripts/make.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 61f3947c..a724d5f7 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -276,9 +276,12 @@ if [ ! -z "$NOSTRIP" ] || ! do_loudly ${CROSS_COMPILE}strip toybox_unstripped -o
then
echo "strip failed, using unstripped" && cp toybox_unstripped toybox ||
exit 1
-else
- # gcc 4.4's strip command is buggy, and doesn't set the executable bit on
- # its output the way SUSv4 suggests it do so.
- do_loudly chmod +x toybox || exit 1
fi
+
+# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
+# its output the way SUSv4 suggests it do so. While we're at it, make sure
+# we don't have the "w" bit set so things like bzip2's "cp -f" install don't
+# overwrite our binary through the symlink.
+do_loudly chmod 555 toybox || exit 1
+
echo